package cn.novalon.gym.manage.sys.core.domain;

import cn.novalon.gym.manage.common.util.SnowflakeId;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 角色权限关联领域对象
 * 
 * @author 张翔
 * @date 2026-03-25
 */
@Schema(description = "角色权限关联实体")
public class SysRolePermission extends BaseDomain {

    @Schema(description = "角色ID", example = "1")
    private Long roleId;

    @Schema(description = "权限ID", example = "1")
    private Long permissionId;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getPermissionId() {
        return permissionId;
    }

    public void setPermissionId(Long permissionId) {
        this.permissionId = permissionId;
    }
}